<div class="logo"><img src="assets/logoVisaal.jpg" width=400px height=100px;></div>

<div class="sidenav">
  <div *ngIf="authService.currentUser">
    <h5 class="text-primary soignant">Le Soignant</h5>
    <!--<h4>
      <strong>ID:</strong> {{ authService.currentUserId }}
    </h4>-->
    <h4>
      <strong>Email:</strong> {{ authService.currentUserName }}
    </h4>
    <br>
    <div>
      <button (click)="listePatient()" class="btn btn-info">Liste des Patients</button>
    </div>
    <br>
    <div>
      <button (click)="addPatient()" class="btn btn-info">Ajouter un Patient</button>
    </div>
    <br>
    <br>
    <button (click)="disco()" class="btn btn-info">Deconnexion</button>
  </div>
</div>
<div class="col-md-3 wrapper">
  <h2 class="text-center">Edit Product</h2>
  <form  *ngFor="let patient of patients" (ngSubmit)="updatePatientValid(patient)" [formGroup]="editForm">
    <div class="form-group">
      <label>Nom:</label>
      <input type="text" formControlName="lastName" placeholder="Nom" class="form-control">
        <div *ngIf="submitted && editForm.get('lastName').invalid">Veuillez renseigner votre nom</div>
    </div>
    <div class="form-group">
      <label>Prenom:</label>
      <input type="text" formControlName="firstName" placeholder="Prenom" class="form-control">
        <div *ngIf="submitted && editForm.get('firstName').invalid">Veuillez renseigner votre prenom</div>
    </div>

    <div class="form-group">
      <label>date de naissance</label>
      <input type="date" formControlName="dateOfBirthday" placeholder="Date de naissance" class="form-control">
        <div *ngIf="submitted && editForm.get('dateOfBirthday').invalid">Veuillez renseigner votre date de naissance</div>
    </div>

    <div class="form-group">
      <div class="form-group">
        <label>Civilité</label>
        <select type="text" formControlName="sex" placeholder="M. ou Mme">
          <option value="monsieur" label="Monsieur"></option>
          <option value="madame" label="Madame"></option>
          <div *ngIf="submitted && editForm.get('sex').invalid" class="errors">Veuillez saisir le sex du patient</div>
        </select>
      </div>
    </div>
    <div class="form-group">
      <label>Service</label>
      <input type="text" formControlName="service" placeholder="service" class="form-control">
        <div *ngIf="submitted && editForm.get('service').invalid">Veuillez renseigner votre service</div>
    </div>
    <div class="form-group">
      <label>Etage</label>
      <input type="number" formControlName="floor" placeholder="Etage" class="form-control">
        <div *ngIf="submitted && editForm.get('floor').invalid">Veuillez renseigner le numero de votre etage</div>
    </div>
    <div class="form-group">
      <label>Numero de chambre</label>
      <input type="number" formControlName="numberOfRoom" placeholder="Numero de chambre" class="form-control">
        <div *ngIf="submitted && editForm.get('numberOfRoom').invalid">Veuillez renseigner le numero de votre chambre</div>
    </div>
      <div class="form-group">
        <label>Numero d'appareil</label>
        <input type="number" formControlName="numberOfDevice" placeholder="Etage" class="form-control">
          <div *ngIf="submitted && editForm.get('numberOfDevice').invalid">Veuillez renseigner votre numero d'appareil</div>
        </div>
    <button type="submit" [disabled]="!editForm.valid" class="btn btn-info">Update</button>
  </form>
</div>

